# =========================================================================== #
# Gemspec for Project ImageParadise.
# =========================================================================== #
require 'image_paradise/version/version.rb'
require 'roebe/toplevel_methods/misc.rb'

Gem::Specification.new { |s|

  s.name    = 'image_paradise'
  s.version = ImageParadise::VERSION
  s.date    = Time.now.strftime('%Y-%m-%d')

  DESCRIPTION = <<-EOF

This project, called image_paradise, allows you to manipulate images,
primarily by using ImageMagick.

For a more complete overview, have a look at the official documentation
of this gem, at: 

https://www.rubydoc.info/gems/image_paradise/

  EOF

  s.summary     = DESCRIPTION
  s.description = DESCRIPTION

  s.authors     = ['Robert A. Heiler']
  s.email       = Roebe.email?
  s.files       = Dir['**/*']
  s.license     = 'GPL-2.0'
  s.executables = Dir['bin/*'].map { |f| File.basename(f) }
  s.homepage    = 'https://rubygems.org/gems/image_paradise'

  s.required_ruby_version     = '>= '+Roebe.third_most_stable_version_of_ruby
  s.required_rubygems_version = '>= '+Gem::VERSION
  s.rubygems_version          = '>= '+Gem::VERSION

  # ========================================================================= #
  # Dependencies for the project:
  # ========================================================================= #
  s.add_dependency 'colours'
  s.add_dependency 'opn'
  s.add_dependency 'save_file'

}