#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
require 'image_paradise'
require 'colours/autoinclude'

e
e "Next testing the project called `#{sfancy('image_paradise')}`."
e

USE_THIS_FILE = '/Depot/j/test.png'

Dir.chdir('/Depot/j/') # <- Directory must exist if you wish to run the tests here.

e 'Will put the images into '+sdir('/Depot/j')

image = ImageParadise::ImageManipulations.new(USE_THIS_FILE)
e image.identify # => "image.png PNG 500x500 500x500+0+0 8-bit DirectClass 236KB 0.010u 0:00.010\n"
e ImageParadise.identify(USE_THIS_FILE)
image.shrink '80%'
e image.dimensions # => { x: 250, y: 250 }
image.convert('thumbnail.png', quality: 80, crop: '250x250>') # => true

image = ImageParadise::ImageManipulations.new('multi-page.pdf')
image.filename_changed? # => false
image.manipulate!(format: "png", layer: 0) # => true
image.filename_changed? # => true
image.file # => "multi-page.png"

image = ImageParadise::ImageManipulations.new('multi-page.pdf')
image.manipulate!(format: "png") # => true
image.filename_changed? # => true

# on ImageMagick it returns all layers as a single file
image.file # => "multi-page-*.png"

# on GrapicksMagick it returns only the fist layer
image.file # => "multi-page.png"