#!/usr/bin/ruby -w
# Encoding: UTF-8
# =========================================================================== #
require 'image_paradise'
require 'cliner'
require 'open'
require 'save_file/autoinclude'
require 'colours/autoinclude'

include ImageParadise

e 'Now testing the svg-component of the '+sfancy('image_paradise')+' project.'

cliner
_ = 'Svg::Circle.create'
e 'Next testing '+simp(_)
e Svg::Circle.create

cliner
_ = 'Svg.circle(150,150,:blue,5)'
e 'Next testing '+simp(_)
e Svg.circle(150,150,:blue,5)

cliner
_ = 'Svg.circle(250,250,:slateblue,15)'
e 'Next testing '+simp(_)
e Svg.circle(250,250,:blue,5)


cliner
_ = 'Svg.circle(colour: :grey, radius: 10)'
e 'Next testing '+simp(_)
e Svg.circle(colour: :grey, radius: 10)

e 'Next, we will add several more colours.'
Svg.circle(colour: :random, radius: 8)
Svg.circle(colour: :random, radius: 8)
Svg.circle(colour: :random, radius: 8)
Svg.circle(colour: :random, radius: 8)
Svg.circle(colour: :random, radius: 8)
Svg.circle(colour: :random, radius: 8)
Svg.circle(colour: :random, radius: 8)
Svg.circle(colour: :random, radius: 8)
Svg.circle(colour: :random, radius: 8)
Svg.add_linebreak
Svg.circle(colour: :random, radius:  1)
Svg.circle(colour: :random, radius:  2)
Svg.circle(colour: :random, radius:  3)
Svg.circle(colour: :random, radius:  4)
Svg.circle(colour: :random, radius:  5)
Svg.circle(colour: :random, radius:  6)
Svg.circle(colour: :random, radius:  7)
Svg.circle(colour: :random, radius:  8)
Svg.circle(colour: :random, radius:  9)
Svg.circle(colour: :random, radius: 10)
Svg.add_linebreak
1.upto(15) {|counter|
  Svg.circle(colour: :chocolate, radius: counter)
}

Svg.add_linebreak
1.upto(15) {|counter|
  Svg.circle(colour: :royalblue, radius: counter+2, stroke_width: 5+rand(5))
}
Svg.add_linebreak
_ = 'Now testing rectangle'
e _
Svg.add _
Svg.add_linebreak
Svg.rectangle # Use default for the rectangle.
Svg.rectangle fill_colour: :random
Svg.rectangle fill_colour: :random
Svg.rectangle fill_colour: :random
Svg.add_linebreak

_ = 'Next testing transparent rectangles (via opacity).'
e _ 
Svg.add _
Svg.add_linebreak
Svg.rectangle(fill_colour: :random) { 'opacity: 0.1' }
Svg.rectangle(fill_colour: :random) { 'opacity: 0.2' }
Svg.rectangle(fill_colour: :random) { 'opacity: 0.3' }
Svg.rectangle(fill_colour: :random) { 'opacity: 0.4' }
Svg.add_linebreak
Svg.rectangle(fill_colour: :random) { 'opacity: 0.5' }
Svg.rectangle(fill_colour: :random) { 'opacity: 0.6' }
Svg.rectangle(fill_colour: :random) { 'opacity: 0.7' }
Svg.rectangle(fill_colour: :random) { 'opacity: 0.8' }
Svg.add_linebreak
Svg.rectangle(fill_colour: :random) { 'opacity: 0.9' }
Svg.rectangle(fill_colour: :random) { 'opacity: 1.0' }
Svg.add_linebreak
# Testing rounded corners next:
Svg.rectangle(fill_colour: :random) { 'rounded_corners' }
Svg.rectangle(fill_colour: :random) { 'rounded_corners' }
Svg.rectangle(fill_colour: :random) { 'rounded_corners' }
Svg.rectangle(fill_colour: :random, width: 400, height: 180) { 'rounded_corners' }
Svg.add_linebreak

into = 'testing_the_svg_component.html'
e 'Storing all these SVG objects into a .html file next (at '+sfile(into)+').'
_ = '<html>'+Svg[]+'</html>'
write_what_into(_, into)

e 'Next opening this .html page in the browser.'
Open.in_browser(into)